> For the complete documentation index, see [llms.txt](https://help.connected.illumina.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.connected.illumina.com/connected-analytics/reference/r-documentrevisionhistory.md).

# Document Revision History

This page contains the documentation release notes for the current release. See the subpages for historic release notes.

{% hint style="success" icon="burst-new" %}
In August, 2026, iCredits will be replaced with a new type of credit: **Illumina BioInsight Credits (BIC)**. All existing **iCredit balances will convert to BIC at a 1:1 ratio**. No action is required. New purchases on or after August 3 will be fulfilled in BIC. This guide has been updated with the new naming.
{% endhint %}

## 2026 September 30 - Platform Core v2.49.0

* **New Functionality**
  * Flow
    * Documented the new [pipeline](/connected-analytics/project/p-flow/pipelines-new-view.md) overview which now includes mandatory version numbers for new pipelines.
    * Added customer documentation for automatic storage-bundle assignment when creating a [project](/connected-analytics/home/h-projects.md).
    * Documented how to group input-form fields into collapsible sections.
      * The [feature](/connected-analytics/project/p-flow/pipelines-new-view/json-based-input-forms/inputform-json.md#pipelineinputforms-parametertypes) section has a checkbox and content is ignored when not set to true.
      * The [disclosure](/connected-analytics/project/p-flow/pipelines-new-view/json-based-input-forms/inputform-json.md#pipelineinputforms-parametertypes) section uses a chevron to hide advanced or rarely-used fields and is always evaluated.
    * Documented that pipelines now can be deleted with the API endpoint\
      `POST /api/projects/{projectId}/pipelines/{pipelineId}:delete`\
      , provided that they ahjre not in status released.
    * Documented new right-click functionality to open [project](broken://spaces/7GiJwg33pKa8eXmwcle7/pages/KB7sn3f0XqVT7MXGyNyp) pages in a new browser tab
    * Added that when running a pipeline with [parameter presets](/connected-analytics/project/p-flow/f-analyses.md#use-parameter-presets), you will be presented with a dialog to keep those presets or use your own values.
*
* **Updated Functionality**
  * Data
    * Documented the search length limit of 250 characters
* **General Documentation updates**
  * General
    * \-
  * Bench
    * \-
  * Flow \*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.connected.illumina.com/connected-analytics/reference/r-documentrevisionhistory.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
